package com.ruoyi.project.aspen.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.aspen.mapper.TDashboarddataMapper;
import com.ruoyi.project.aspen.domain.TDashboarddata;
import com.ruoyi.project.aspen.service.ITDashboarddataService;

import javax.annotation.Resource;

/**
 * dashboard抓取数据Service业务层处理
 *
 * @author ruoyi
 * @date 2022-01-06
 */
@Service
public class TDashboarddataServiceImpl implements ITDashboarddataService
{
    @Resource
    private TDashboarddataMapper tDashboarddataMapper;

    /**
     * 查询dashboard抓取数据
     *
     * @param id dashboard抓取数据ID
     * @return dashboard抓取数据
     */
    @Override
    public TDashboarddata selectTDashboarddataById(Long id)
    {
        return tDashboarddataMapper.selectTDashboarddataById(id);
    }

    /**
     * 查询最后一条dashboard抓取数据
     *
     * @param tDashboarddata dashboard抓取数据
     * @return dashboard抓取数据
     */
    @Override
    public TDashboarddata selectLast(TDashboarddata tDashboarddata) {
        return tDashboarddataMapper.selectLast(tDashboarddata);
    }

    /**
     * 查询dashboard抓取数据列表
     *
     * @param tDashboarddata dashboard抓取数据
     * @return dashboard抓取数据
     */
    @Override
    public List<TDashboarddata> selectTDashboarddataList(TDashboarddata tDashboarddata)
    {
        return tDashboarddataMapper.selectTDashboarddataList(tDashboarddata);
    }

    /**
     * 新增dashboard抓取数据
     *
     * @param tDashboarddata dashboard抓取数据
     * @return 结果
     */
    @Override
    public int insertTDashboarddata(TDashboarddata tDashboarddata)
    {
        return tDashboarddataMapper.insertTDashboarddata(tDashboarddata);
    }

    /**
     * 修改dashboard抓取数据
     *
     * @param tDashboarddata dashboard抓取数据
     * @return 结果
     */
    @Override
    public int updateTDashboarddata(TDashboarddata tDashboarddata)
    {
        return tDashboarddataMapper.updateTDashboarddata(tDashboarddata);
    }

    /**
     * 批量删除dashboard抓取数据
     *
     * @param ids 需要删除的dashboard抓取数据ID
     * @return 结果
     */
    @Override
    public int deleteTDashboarddataByIds(Long[] ids)
    {
        return tDashboarddataMapper.deleteTDashboarddataByIds(ids);
    }

    /**
     * 删除dashboard抓取数据信息
     *
     * @param id dashboard抓取数据ID
     * @return 结果
     */
    @Override
    public int deleteTDashboarddataById(Long id)
    {
        return tDashboarddataMapper.deleteTDashboarddataById(id);
    }
}
